security.sios.com

Libgcrypt ・GnuPG 1.4 の 脆弱性 ( CVE-2016-6313 ) — | サイオスOSS | サイオステクノロジー

Libgcrypt ・GnuPG 1.4 の 脆弱性 ( CVE-2016-6313 ) — | サイオスOSS | サイオステクノロジー
現在位置: ホーム / セキュリティ ブログ / Libgcrypt ・GnuPG 1.4 の 脆弱性 ( CVE-2016-6313 )

Libgcrypt ・GnuPG 1.4 の 脆弱性 ( CVE-2016-6313 )

LibgcryptとGnuPG 1.4に、 RNG 出力が予測することが可能な脆弱性 ( CVE-2016-6313 ) が発見されました。 1998年から存在し、影響度合いも大きいため、ここでは各ディストリビュータの 情報を集めます(情報は逐次更新されます)。

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面です。

8/18(JST)に、Libgcrypt と GnuPG 1.4の脆弱性(CVE-2016-6313)の修正が報告されています。1998年の初期からあったバグであり、"Critical"で影響度合いも大きいため、ここでは、この脆弱性について簡単にまとめてみます。



Priority

Critical

影響するバージョン

全てのプラットフォーム上で2016/08/17(CEST)以前にリリースされたLibgcrypt/GnuPGの全バージョン

CVE概要(詳細はCVEのサイトをご確認ください)

  • Libgcrypt / GnuPG 1.4 の RNG 出力が予測可能な脆弱性

  • 重要度 - Critical

  • Libgcryptのランダムジェネレータにバグが有り、乱数ジェネレータから4640ビットの出力を得た攻撃者は次の160ビットを予測することが可能です。このバグは1998年からの、全てのGnuPGとLibgcryptに存在しています。


主なディストリビューションの対応方法

詳しい情報は、各ディストリビュータに確認して下さい。

[参考]

[Announce] Security fixes for Libgcrypt and GnuPG 1.4 [CVE-2016-6316]


[セミナー告知]

9/14に「OSSセキュリティナイター vol.2」と題して、セキュリティのセミナーを行います。

この回では「まだまだ続く急増するランサムウェア その脅威とOSSの対策」として、ランサムウェアのリスクとOSSでの対策方法などをお話します。


また、LinuxFoundationでのセキュリティに対する取り組みや、Intel Security (マカフィー株式会社)による脆弱性リスク管理も併せてご紹介します。


http://connpass.com/event/37360/がプログラム内容と申し込みの詳細になりますので、是非お申し込み下さい。

OSSよろず相談室

サイオスOSSよろず相談室(2)

問い合わせボタン

----- EXTENDED BODY:

前へ

wiresharkに複数の脆弱性(CVE-2017-7700, CVE-2017-7701, CVE-2017-7702, CVE-2017-7703, CVE-2017-7704, CVE-2017-7705, CVE-2017-7745, CVE-2017-7746, CVE-2017-7747, CVE-2017-7748 ) — | サイオスOSS | サイオステクノロジー

次へ

wiresharkに複数の脆弱性(CVE-2017-9343, CVE-2017-9344, CVE-2017-9345, CVE-2017-9346, CVE-2017-9347, CVE-2017-9348, CVE-2017-9349, CVE-2017-9350, CVE-2017-9351, CVE-2017-9352, CVE-2017-9353, CVE-2017-9354 ) — | サイオスOSS | サイオステクノロジー